summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDmitrii Tochanskii <tochansky@tochlab.net>2022-05-17 12:01:07 +0300
committerSam James <sam@gentoo.org>2022-05-19 02:05:07 +0000
commitd99c255b4f965a98f26fb515f7bf5c2431ada4f4 (patch)
treee459423fa5a2c208241dde5e1a50488141ff05ba
parentnet-im/discord-bin: add missing inherit; tidy (diff)
downloadgentoo-d99c255b4f965a98f26fb515f7bf5c2431ada4f4.tar.gz
gentoo-d99c255b4f965a98f26fb515f7bf5c2431ada4f4.tar.bz2
gentoo-d99c255b4f965a98f26fb515f7bf5c2431ada4f4.zip
net-vpn/networkmanager-l2tp: add 1.20.4
Signed-off-by: Dmitrii Tochanskii <tochansky@tochlab.net> Closes: https://github.com/gentoo/gentoo/pull/25534 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--net-vpn/networkmanager-l2tp/Manifest1
-rw-r--r--net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.20.4.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/net-vpn/networkmanager-l2tp/Manifest b/net-vpn/networkmanager-l2tp/Manifest
index ff4d2bf1757..882b53b3e2a 100644
--- a/net-vpn/networkmanager-l2tp/Manifest
+++ b/net-vpn/networkmanager-l2tp/Manifest
@@ -1,3 +1,4 @@
DIST NetworkManager-l2tp-1.8.0.tar.xz 435964 BLAKE2B 05267b4bb1a824cd9478b79af4b07535b0b9245d34f49397feb778d806c814d6a7bcf723545d53b9f3d2d39e6de079fac00407e7c8d0e6389394aaf6a432b16f SHA512 8ef6732dbef2d24a51c6f70bcd98b272244dfc4d89e888e0d2c6c12b0042c1bcc750b73cdfda3489f4987af4fe85df4fc54976c48151996aa205939671d250da
DIST NetworkManager-l2tp-1.8.2.tar.xz 437032 BLAKE2B 24d3bce74d9b57228196b288406983423a98d242fc26129a14c144269a9173d5ab2b47ad9dcf7b16dde5b9f015e6f3851e34d1ebe7e5edf6769401a2377eb0b7 SHA512 fc7f4037a4e2d442231f3c72692b7d405f13507625828dc4b975fab3717c7c0daaeaa757ef2ed875f347a87ac4ccaf5a0df1834235d8879f3d1e0d1b450531b8
DIST NetworkManager-l2tp-1.8.6.tar.xz 446780 BLAKE2B d1cc532a5aafab6c3876c74ad88387ee3a2db2d0844a4c79bea2afcd252aab9bbef1e3435075b5089d1f8471ba41b47f6054a06e1a3440cfe5fe7c432a5ee3fe SHA512 968e8c9140f800935e57e6a58fb4cc8a92385427b8a070a5106c37f5a9d05cfcc1333fe706dfa5ae79dfdcdde89e4becd7866a4e5f535b32e1edafe7171946a7
+DIST NetworkManager-l2tp-1.20.4.tar.xz 481688 BLAKE2B 031ea7b639bd310574c56cd7a130889a9e7b4d44d22e61950b8111556011f92e89712744852828e20ef2a9b3e3efa623fac9731463bc7217fe0c9361b763e2ab SHA512 5f4a2353f4083397d03e94130d7b1f78c99b6ac284c57a86e13092fcb93499b07de3f4ea8307d2f0f888661b9534ce87811907a72c10ec8c2ff93bc2aaf2a97f
diff --git a/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.20.4.ebuild b/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.20.4.ebuild
new file mode 100644
index 00000000000..890376a342c
--- /dev/null
+++ b/net-vpn/networkmanager-l2tp/networkmanager-l2tp-1.20.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="NetworkManager-l2tp"
+MY_P="${MY_PN}-${PV}"
+
+inherit gnome.org autotools
+
+DESCRIPTION="NetworkManager L2TP plugin"
+HOMEPAGE="https://github.com/nm-l2tp/network-manager-l2tp"
+SRC_URI="https://github.com/nm-l2tp/${MY_PN}/releases/download/${PV}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnome static-libs"
+
+RDEPEND="
+ >=net-misc/networkmanager-1.2[ppp]
+ dev-libs/dbus-glib
+ net-dialup/ppp:=[eap-tls]
+ net-dialup/xl2tpd
+ >=dev-libs/glib-2.32
+ || (
+ net-vpn/strongswan
+ net-vpn/libreswan
+ )
+ gnome? (
+ x11-libs/gtk+:3
+ app-crypt/libsecret
+ gnome-extra/nm-applet
+ )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/gettext
+ dev-util/intltool
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eautoreconf
+ eapply_user
+}
+
+src_configure() {
+ local PPPD_VER=$(best_version net-dialup/ppp)
+ PPPD_VER=${PPPD_VER#*/*-} # reduce it to ${PV}-${PR}
+ PPPD_VER=${PPPD_VER%%[_-]*} # main version without beta/pre/patch/revision
+
+ local myeconfargs=(
+ --localstatedir=/var
+ --with-pppd-plugin-dir=/usr/$(get_libdir)/pppd/${PPPD_VER}
+ $(use_with gnome)
+ $(use_enable static-libs static)
+ )
+
+ econf "${myeconfargs[@]}"
+}